import { Component, h, Prop, State } from '@stencil/core';
import { randomIdGenerator } from '../../../global/utils/randomIdGenerator';

@Component({
	tag: 'digi-icon-licence-motorcycle',
	styleUrl: 'icon-licence-motorcycle.scss',
	scoped: true
})
export class IconLicenceMotorcycle {
	/**
	 * Lägger till ett titleelement i svg:n
	 * @en Adds a title element inside the svg
	 */
	@Prop() afTitle: string;

	/**
	 * Lägger till ett descelement i svg:n
	 * @en Adds a desc element inside the svg
	 */
	@Prop() afDesc: string;

	/**
	 * För att dölja ikonen för skärmläsare. Default är satt till true.
	 * @en Hides the icon for screen readers. Default is set to true.
	 */
	@Prop() afSvgAriaHidden: boolean = true;

	

	/**
* Referera till andra element på sidan för att definiera ett tillgängligt namn.
* @en Reference other elements on the page to define an accessible name.
*/
@Prop() afSvgAriaLabelledby: string;

@State() titleId: string = randomIdGenerator('icontitle');

	render() {
		return (
			<svg
				class="digi-icon-licence-motorcycle"
				width="48"
				height="48"
				viewBox="0 0 48 48"
				xmlns="http://www.w3.org/2000/svg"
				aria-hidden={this.afSvgAriaHidden ? 'true' : 'false'}
				aria-labelledby={this.afSvgAriaLabelledby ? this.afSvgAriaLabelledby : this.afTitle ? this.titleId : undefined}
			>
				{this.afTitle && <title id={this.titleId}>{this.afTitle}</title>}
				{this.afDesc && <desc>{this.afDesc}</desc>}
				<path
					class="digi-icon-licence-motorcycle__shape"
					d="M38.4614246,19.0739101 C37.3441716,19.0660399 36.279407,19.2549257 35.2821275,19.6169569 L32.815173,15.2961938 L38.9938069,15.2961938 C39.9910864,15.2961938 40.793409,14.4540779 40.793409,13.4073357 L40.793409,10.8888582 C40.793409,9.84211593 39.9910864,9 38.9938069,9 L35.5970579,9 C35.0871706,9 34.5997784,9.22823703 34.262353,9.62174914 L31.4504747,12.9036402 L29.7408527,9.91294811 C29.4109257,9.34629066 28.826055,9 28.1961943,9 L22.1975206,9 C21.5376665,9 20.9977859,9.56665745 20.9977859,10.2592388 L20.9977859,11.5184775 C20.9977859,12.2110589 21.5376665,12.7777163 22.1975206,12.7777163 L27.1764197,12.7777163 L28.6161014,15.2961938 L17.0911496,15.2961938 C15.7639431,13.4781679 13.724394,12.1480969 9.6003059,12.1480969 L5.43872604,12.1480969 C4.42644986,12.1480969 3.5791372,13.0138236 3.60163223,14.0763063 C3.61662891,15.0994378 4.41895152,15.9258132 5.40123433,15.9258132 L9.6003059,15.9258132 C11.4373997,15.9258132 12.5021643,16.7836696 13.1845134,17.8776333 L12.3372008,19.491033 C11.3624163,19.1840935 10.3201467,19.0424292 9.24038548,19.0817804 C4.19400125,19.2706662 0.122401501,23.6071697 0.00242802741,28.911713 C-0.117545446,34.5861577 4.22399462,39.2217304 9.6003059,39.2217304 C14.0693178,39.2217304 17.8259872,36.0106716 18.8982501,31.6662978 L25.2118541,31.6662978 C26.239127,31.6662978 27.0564463,30.7690902 27.0114562,29.690867 C26.853991,25.9839829 28.3236661,22.31645 31.2255245,19.8530641 L32.1628172,21.4900745 C30.0932748,23.3553219 28.7810649,26.1256472 28.80356,29.2186525 C28.8410517,34.6963411 33.0926116,39.174509 38.3114577,39.2217304 C43.6802707,39.2768221 48.0443058,34.6963411 47.9996605,29.0612476 C47.9468273,23.583559 43.6802707,19.1132613 38.4614246,19.0739101 L38.4614246,19.0739101 Z M9.6003059,35.4440141 C6.29353704,35.4440141 3.60163223,32.6185971 3.60163223,29.1478203 C3.60163223,25.6770434 6.29353704,22.8516264 9.6003059,22.8516264 C9.91523626,22.8516264 10.2301666,22.8752372 10.5375987,22.9303289 L7.42578669,28.8644916 C6.76593259,30.1237303 7.63574027,31.6662978 9.00043853,31.6662978 L15.0965906,31.6662978 C14.1667962,33.8857061 12.0522638,35.4440141 9.6003059,35.4440141 Z M44.3851148,29.4941109 C44.2201513,32.6894293 41.7606951,35.2708688 38.7238666,35.4361439 C35.2671309,35.6328999 32.3952658,32.7366508 32.3952658,29.1478203 C32.3952658,27.4635884 33.0251266,25.9367614 34.0523994,24.8113168 L37.7565804,31.2963964 C38.0940058,31.8945348 38.8363417,32.0834207 39.4062157,31.7292597 L40.4334885,31.0838999 C41.0033625,30.729739 41.1833228,29.950585 40.8458974,29.3524466 L37.2017031,22.9854206 C37.5916169,22.8988479 37.989029,22.8594813 38.3939395,22.8594813 C41.8131835,22.8516264 44.565075,25.8659292 44.3851148,29.4941109 Z"
					fill="currentColor"
					fill-rule="nonzero"
				/>
			</svg>
		);
	}
}
